<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEspacoscaixascelulasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('espacoscaixascelulas', function (Blueprint $table) {
            $table->id();
            $table->integer('espacoscaixa');
            $table->foreignId('celula_id');
            $table->foreign('celula_id')->references('id')->on('celulas');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('espacoscaixascelulas', function(Blueprint $table)
        {
            $table->dropSoftDeletes();
        });
        Schema::dropIfExists('espacoscaixascelulas');
    }
}
